package ${domain}.${module}.req;

<#list importList as i>
<#if !i?contains("javax.validation") && !i?contains("org.hibernate.validator")>
${i}
</#if>
</#list>
<#list entNames as entName>
import ${domain}.${module}.ent.${entName};
</#list>
<#list reqNames as reqName>
import ${domain}.${module}.ent.${reqName};
</#list>
import ${domain}.${module}.rsp.${className}Response;
import ${domain}.ApiRequest;
<#if findOrSearchflag=='1'>
import ${domain}.ApiFindRequest;
<#elseif findOrSearchflag=='2'>
import ${domain}.ApiSearchRequest;
</#if>

<#list annotation as i>
${i}
</#list>
public class ${className}Request <#if findOrSearchflag=='1'>extends ApiFindRequest<#elseif findOrSearchflag=='2'>extends ApiSearchRequest</#if> implements ApiRequest<${className}Response> {

<#list body as i>
<#if !i?contains("@")>
${i}
</#if>
</#list>

    public void check() {

    }

    public String path() {
        return "${module}/${target}/${method}";
    }

    public Class<${className}Response> responseClass() {
        return ${className}Response.class;
    }

}
