package ${basePackage}.module.system.mgr;

import ${basePackage}.frame.base.Token;
import ${basePackage}.module.system.req.*;
import ${basePackage}.module.system.rsp.*;

/**
 * 字典项
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public interface DictItemManager {

    /**
     * 插入
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    DictItemCreateResponse create(DictItemCreateRequest request, Token token);

    /**
     * 逻辑删除
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    DictItemDeleteResponse delete(DictItemDeleteRequest request, Token token);

    /**
     * 更新
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    DictItemUpdateResponse update(DictItemUpdateRequest request, Token token);

    /**
     * 查询
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    DictItemFindResponse find(DictItemFindRequest request, Token token);

    /**
     * 获得对象
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    DictItemGetResponse get(DictItemGetRequest request, Token token);
}
