package ${basePackage}.module.system.mgr;

import ${basePackage}.module.system.req.*;
import ${basePackage}.module.system.rsp.*;
import ${basePackage}.frame.base.Token;

/**
 * 文件
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public interface FileManager {

    /**
     * 插入
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    FileCreateResponse create(FileCreateRequest request, Token token);

    /**
     * 逻辑删除
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    FileDeleteResponse delete(FileDeleteRequest request, Token token);

    /**
     * 查询
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    FileFindResponse find(FileFindRequest request, Token token);

    /**
     * 获得对象
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    FileGetResponse get(FileGetRequest request, Token token);
}
