package ${basePackage}.module.${moduleName}.ent;

<#if table.has('Date')>
import java.util.Date;
</#if>
<#if table.getHtml()>
import ${basePackage}.frame.excel.annotation.ColumnDescription;
import ${basePackage}.frame.excel.annotation.ColumnName;
import ${basePackage}.frame.excel.annotation.SheetName;
</#if>
import ${basePackage}.frame.base.BaseEntity;

/**
 * ${table.tableName} - ${table.tableComment}
 *
 * @author ${author?default("")}
 * @version 0.0.1
 * @since ${date?string("yyyy-MM-dd")}
 */
<#if table.getHtml()>
@SheetName("${table.tableComment?default("")}")
</#if>
public class ${table.getCName()} extends BaseEntity {

<#list table.fields as field>
<#if !field.isSystem>
    /**
     * ${field.fieldName} - ${field.fieldComment?default("")}
     */
<#if table.getHtml()>
    @ColumnName("${field.fieldComment?default("")}")
    @ColumnDescription("")
</#if>
    private ${field.fieldType.javaType()} ${field.getFName()};
</#if>
</#list>
<#list table.fields as field>
<#if !field.isSystem>

    public ${field.fieldType.javaType()} ${field.getterName()}() {
        return this.${field.getFName()};
    }

    public void ${field.setterName()}(${field.fieldType.javaType()} ${field.getFName()}) {
        this.${field.getFName()} = ${field.getFName()};
    }
</#if>
</#list>
}