/*
Target   : MYSQL
Author
Date:    2019-11-23
*/

-- ----------------------------
-- Table structure for DICT_ITEM - 字典项
-- ----------------------------

CREATE TABLE `SYS_DICT_ITEM` (
        `ID` BIGINT(20) NOT NULL COMMENT '主键',
        `DICT_NAME` VARCHAR(50) NOT NULL COMMENT '字典名称',
        `KEY` VARCHAR(50) NOT NULL COMMENT '字典键',
        `VALUE` VARCHAR(100) NOT NULL COMMENT '字典值',
        `SORT` INTEGER(10) NOT NULL COMMENT '排序',
        `VALID` TINYINT(1) NOT NULL COMMENT '是否有效',
        `ROW_VERSION` BIGINT(20) NOT NULL DEFAULT 0 COMMENT '行版本',
        `IS_DELETED` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否已删除',
        `CREATE_BY` BIGINT(20) NOT NULL COMMENT '创建用户',
        `CREATE_TIME` DATETIME NOT NULL COMMENT '创建时间',
        `LAST_UPDATE_BY` BIGINT(20) DEFAULT NULL COMMENT '最后更新用户',
        `LAST_UPDATE_TIME` DATETIME DEFAULT NULL COMMENT '最后更新时间',
PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='字典项';
