/*
Target   : MYSQL
Author
Date:    2019-11-29
*/

-- ----------------------------
-- Table structure for FILE - 文件
-- ----------------------------

CREATE TABLE `SYSFILE` (
        `ID` BIGINT(20) NOT NULL COMMENT '主键',
        `NAME` VARCHAR(250) NOT NULL COMMENT '文件名称',
        `FILE_TYPE` VARCHAR(10) COMMENT '文件类型',
        `ATTRIBUTE1` VARCHAR(50) COMMENT '扩展属性1',
        `ATTRIBUTE2` VARCHAR(50) COMMENT '扩展属性2',
        `LOCATION` VARCHAR(500) COMMENT '存放地址',
        `URL` VARCHAR(500) COMMENT '访问地址',
        `URL_DOWNLOAD` VARCHAR(500) COMMENT '下载地址',
        `ROW_VERSION` BIGINT(20) NOT NULL DEFAULT 0 COMMENT '行版本',
        `IS_DELETED` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否已删除',
        `CREATE_BY` BIGINT(20) NOT NULL COMMENT '创建用户',
        `CREATE_TIME` DATETIME NOT NULL COMMENT '创建时间',
        `LAST_UPDATE_BY` BIGINT(20) DEFAULT NULL COMMENT '最后更新用户',
        `LAST_UPDATE_TIME` DATETIME DEFAULT NULL COMMENT '最后更新时间',
PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='文件';
